Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -49,6 +49,6 @@
     }
     // phenotype:
-    public ILookupParameter<SymbolicExpressionTree> SymbolicExpressionTreeParameter {
-      get { return (ILookupParameter<SymbolicExpressionTree>)Parameters["SymbolicExpressionTree"]; }
+    public ILookupParameter<ISymbolicExpressionTree> SymbolicExpressionTreeParameter {
+      get { return (ILookupParameter<ISymbolicExpressionTree>)Parameters["SymbolicExpressionTree"]; }
     }
     public ILookupParameter<BoolMatrix> WorldParameter {
@@ -84,5 +84,5 @@
       Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The quality of the evaluated artificial ant solution."));
       Parameters.Add(new LookupParameter<IntegerVector>("IntegerVector", "The artificial ant solution encoded as an integer vector genome."));
-      Parameters.Add(new LookupParameter<SymbolicExpressionTree>("SymbolicExpressionTree", "The artificial ant solution encoded as a symbolic expression tree that should be evaluated"));
+      Parameters.Add(new LookupParameter<ISymbolicExpressionTree>("SymbolicExpressionTree", "The artificial ant solution encoded as a symbolic expression tree that should be evaluated"));
       Parameters.Add(new LookupParameter<BoolMatrix>("World", "The world for the artificial ant with scattered food items."));
       Parameters.Add(new LookupParameter<IntValue>("MaxTimeSteps", "The maximal number of time steps that the artificial ant should be simulated."));
@@ -93,4 +93,20 @@
       Parameters.Add(new LookupParameter<IntMatrix>("Bounds", "The integer number range in which the single genomes of a genotype are created."));
       Parameters.Add(new LookupParameter<IntValue>("MaximumExpressionLength", "Maximal length of the expression to control the artificial ant (genotype length)."));
+    }
+
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      // BackwardsCompatibility3.3
+      #region Backwards compatible code, remove with 3.4
+
+      if (Parameters.ContainsKey("SymbolicExpressionTree") &&
+          Parameters["SymbolicExpressionTree"] is ILookupParameter<SymbolicExpressionTree>) {
+        var previousActualName = ((ILookupParameter<SymbolicExpressionTree>)Parameters["SymbolicExpressionTree"]).ActualName;
+        Parameters.Remove("SymbolicExpressionTree");
+        Parameters.Add(new LookupParameter<ISymbolicExpressionTree>("SymbolicExpressionTree", "The artificial ant solution encoded as a symbolic expression tree that should be evaluated", previousActualName));
+      }
+
+      #endregion
+
     }
 
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntProblem.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntProblem.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/ArtificialAnt/GEArtificialAntProblem.cs	(revision 12694)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -40,5 +40,5 @@
 namespace HeuristicLab.Problems.GrammaticalEvolution {
   [Item("Grammatical Evolution Artificial Ant Problem", "Represents the Artificial Ant problem, implemented in Grammatical Evolution.")]
-  [Creatable("Problems")]
+  [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 170)]
   [StorableClass]
   public sealed class GEArtificialAntProblem : SingleObjectiveHeuristicOptimizationProblem<GEArtificialAntEvaluator, IIntegerVectorCreator>, IStorableContent {
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/HeuristicLab.Problems.GrammaticalEvolution-3.3.csproj
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/HeuristicLab.Problems.GrammaticalEvolution-3.3.csproj	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/HeuristicLab.Problems.GrammaticalEvolution-3.3.csproj	(revision 12694)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.GrammaticalEvolution</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.GrammaticalEvolution-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -56,4 +56,5 @@
     <WarningLevel>4</WarningLevel>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -65,4 +66,5 @@
     <WarningLevel>4</WarningLevel>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
@@ -73,4 +75,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
@@ -81,4 +84,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -89,4 +93,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
@@ -97,4 +102,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <ItemGroup>
@@ -260,6 +266,6 @@
     </ProjectReference>
   </ItemGroup>
-  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />  
-    <PropertyGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
     <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
 set ProjectDir=$(ProjectDir)
@@ -275,6 +281,6 @@
 $SolutionDir/PreBuildEvent.sh
 </PreBuildEvent>
-  </PropertyGroup> 
-<!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
   <Target Name="BeforeBuild">
@@ -282,4 +288,4 @@
   <Target Name="AfterBuild">
   </Target>
-  -->  
+  -->
 </Project>
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/BreathFirstMapper.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/BreathFirstMapper.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/BreathFirstMapper.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/DepthFirstMapper.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/DepthFirstMapper.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/DepthFirstMapper.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/GenotypeToPhenotypeMapper.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/GenotypeToPhenotypeMapper.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/GenotypeToPhenotypeMapper.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,4 +31,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.GrammaticalEvolution.Mappers;
+using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
@@ -68,5 +69,5 @@
       if (!possibleSymbolsList.Any()) return null;
 
-      var newNode = possibleSymbolsList.SelectRandom(random).CreateTreeNode();
+      var newNode = possibleSymbolsList.SampleRandom(random).CreateTreeNode();
       if (newNode.HasLocalParameters) newNode.ResetLocalParameters(random);
       return newNode;
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/IGenotypeToPhenotypeMapper.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/IGenotypeToPhenotypeMapper.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/PIGEMapper.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/PIGEMapper.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/PIGEMapper.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/RandomMapper.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/RandomMapper.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Mappers/RandomMapper.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,4 +29,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
@@ -102,5 +103,5 @@
         } else {
           // similar to PIGEMapper, but here the current node is determined randomly ...
-          ISymbolicExpressionTreeNode current = nonTerminals.SelectRandom(random);
+          ISymbolicExpressionTreeNode current = nonTerminals.SampleRandom(random);
           nonTerminals.Remove(current);
 
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Plugin.cs.frame	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Plugin.cs.frame	(revision 12694)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GrammaticalEvolution {
-  [Plugin("HeuristicLab.Problems.GrammaticalEvolution","Provides classes for grammatical evolution.", "3.3.10.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.GrammaticalEvolution","Provides classes for grammatical evolution.", "3.3.11.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.GrammaticalEvolution-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Properties/AssemblyInfo.cs.frame	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Properties/AssemblyInfo.cs.frame	(revision 12694)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.11.$WCREV$")]
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisProblem.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveProblem.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveProblem.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicDataAnalysisSingleObjectiveProblem.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicExpressionGrammar.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicExpressionGrammar.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicExpressionGrammar.cs	(revision 12694)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicRegressionSingleObjectiveEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicRegressionSingleObjectiveProblem.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicRegressionSingleObjectiveProblem.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/GESymbolicRegressionSingleObjectiveProblem.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -37,5 +37,5 @@
         "Represents grammatical evolution for single objective symbolic regression problems.")]
   [StorableClass]
-  [Creatable("Problems")]
+  [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 180)]
   public class GESymbolicRegressionSingleObjectiveProblem : GESymbolicDataAnalysisSingleObjectiveProblem<IRegressionProblemData, IGESymbolicRegressionSingleObjectiveEvaluator, IIntegerVectorCreator>,
                                                             IRegressionProblem {
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisProblem.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisProblem.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisProblem.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisSingleObjectiveEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisValidationAnalyzer.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisValidationAnalyzer.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicDataAnalysisValidationAnalyzer.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicRegressionEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicRegressionEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicRegressionEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicRegressionSingleObjectiveEvaluator.cs
===================================================================
--- branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 11185)
+++ branches/HeuristicLab.Problems.Orienteering/HeuristicLab.Problems.GrammaticalEvolution/3.3/Symbolic/IGESymbolicRegressionSingleObjectiveEvaluator.cs	(revision 12694)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
